/****************************************************************************
 *
 * Copyright (c) 2005-2012, Fossil E-Commerce, http://www.fossilec.com/
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 *
 *****************************************************************************/

//
// This source code implements specifications defined by the Java
// Community Process. In order to remain compliant with the specification
// DO NOT add / change / or delete method signatures!
//

package javax.jbi.management;

/**
 * DeploymentException is an exception thrown by the Deployment Service and the
 * Service Unit Manager.
 * 
 * @author JSR208 Expert Group
 */
public class DeploymentException extends javax.jbi.JBIException {

	/**
	 * Creates a new instance of DeploymentException with an exception message.
	 * 
	 * @param message
	 *            the detail message for this exception.
	 */
	public DeploymentException(java.lang.String message) {
		super(message);
	}

	/**
     * Creates a new instance of DeploymentException with the specified message
     * and cause.
     * 
     * @param message
     *            the detail message for this exception.
     * @param cause
     *            <code>Error</code> or <code>Exception</code> which
     *            represents the cause of the problem (<code>null</code> if
     *            none, or if the cause is not known)
     */
	public DeploymentException(java.lang.String message,
            java.lang.Throwable cause) {
		super(message, cause);
	}

	/**
     * Creates a new instance of DeploymentException with the specified cause.
     * 
     * @param cause
     *            <code>Error</code> or <code>Exception</code> which
     *            represents the cause of the problem (<code>null</code> if
     *            none, or if the cause is not known)
     */
	public DeploymentException(java.lang.Throwable cause) {
		super(cause);
	}

}
