/****************************************************************************
 *
 * Copyright (c) 2011-2012, EBM WebSourcing
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 *
 *****************************************************************************/
 
package javax.jbi.messaging;

import java.lang.reflect.Method;

import org.junit.Test;
import org.mockito.Mockito;

/**
 * @author Olivier Fabre - EBM WebSourcing
 */
public class InOnlyTest extends MessageExchangeTest {

    InOnly mockInOnly = Mockito.mock(InOnly.class);

    @Test
    public void testGetInMessage() {
        @SuppressWarnings("unused")
        NormalizedMessage normalizedMessage = mockInOnly.getInMessage();
    }

    @Test
    public void testSetInMessage() throws MessagingException {
        mockInOnly.setInMessage(Mockito.mock(NormalizedMessage.class));
    }

    @Test
    public void testSetInMessageThrowsMessagingException() {
        Class<?>[] expectedExceptions = new Class<?>[] { MessagingException.class };

        Method method = getTestedClassMethod("setInMessage", NormalizedMessage.class);

        checkMethodThrowsExpectedExceptions(method, expectedExceptions);
    }

    @Override
    protected Class<?> getTestedApiClass() {
        return InOnly.class;
    }

}
